/* LIMITED LICENSE AGREEMENT
 *
 * You ("Customer" or "You") must read this Limited License Agreement (this "Agreement") carefully and thoroughly before
 * downloading,
 * installing, and/or using any software or content ("Software") provided herewith.  BY DOWNLOADING, INSTALLING AND/OR
 * USING ANY SOFTWARE,
 * YOU ARE CONFIRMING YOUR ACCEPTANCE OF THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO BE BOUND BY THE TERMS OF
 * THIS AGREEMENT,
 * THEN DO NOT DOWNLOAD, INSTALL/COMPLETE INSTALLATION OF, OR USE THE SOFTWARE.
 *
 * 1.Grant of License.  Subject to the terms and conditions of this Agreement, Atmel grants Customer a non-exclusive,
 * nontransferable,
 * non-sub licensable, limited license:  (
 * (a) to internally use the Software as a development platform for Company's own software and/or
 *     hardware product ("Customer Product") solely in connection with an Atmel microcontroller product ("Atmel
 * Product"),
 * (b) to reproduce the Software only as necessary to implement such Software in Customer Product that incorporates or
 * is bundled with an
 *     Atmel Product ("Integrated Product"); and
 * (c) to distribute the Software (in object code version only) solely as part of the Integrated Product.  Any and all
 * distribution of the
 *     Software by Customer permitted under this Agreement shall be pursuant to a binding end user agreement no less
 * protective of Atmel
 *     than this Agreement.
 * Customer shall not use the Software for any purpose other than as specifically authorized herein.  Except as
 * specifically authorized herein,
 * Customer shall take all necessary steps to protect the Software against disclosure to third parties.
 * The Software may contain the copyrighted information of Atmel. Customer may not reproduce, transmit or otherwise copy
 * the Software by
 * any means for any purpose not set forth in this Agreement, without the prior written permission of Atmel.
 * All rights not expressly granted to Customer herein are reserved to Atmel.
 *
 * 2.Title. As between the parties, Atmel retains full rights, title, and ownership including all patents, copyrights,
 * trade secrets,
 * trade names,trademarks, and other intellectual property rights in and to the Software.  Customer agrees to take all
 * reasonable steps
 * to prevent unauthorized disclosure of the Software.
 *
 * 3.No Other Rights.Except as expressly stated herein, this Agreement does not grant Customer, by implication,
 * estoppels or otherwise, any
 * rights to patents,copyrights, trade secrets, trade names, trademarks (whether registered or unregistered), or any
 * other rights, franchises,
 * or licenses in respect of the Software.  Customer may not modify, translate, disassemble, reverse engineer or
 * decompile the Software or
 * any copy, in whole or in part.Atmel will not provide any support or maintenance for the Software.  Company will be
 * solely responsible for
 * supporting its customers, including resellers and end users
 *
 * 4.Warranty Disclaimer and No Support.ATMEL IS PROVIDING THE SOFTWARE TO CUSTOMER "AS IS", "WITH ALL FAULTS", AND WITH
 * NO WARRANTY WHATSOEVER.
 * ATMEL MAKES NO WARRANTY THAT THE DELIVERY OF SOFTWARE IS COMPLETE, VERIFIED, OR VALIDATED.ATMEL IS MAKING NO
 * REPRESENTATION THAT THE SOFTWARE
 * IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND CUSTOMER IS RESPONSIBLE FOR OBTAINING ANY RIGHTS CUSTOMER MAY REQUIRE
 * FOR CUSTOMER'S IMPLEMENTATION.
 * ATMEL MAKES NO WARRANTY WHATSOEVER, EXPRESS, IMPLIED, STATUTORY, CONTRACTUAL OR OTHERWISE WITH RESPECT TO THE
 * SOFTWARE, AND EXPRESSLY DISCLAIMS
 * ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR NON-INFRINGEMENT AND ANY
 * WARRANTIES ARISING BY VIRTUE OF
 * CUSTOM OF TRADE OR COURSE OF DEALING.  Atmel is not obligated to furnish or make available to Customer any further
 * information, software,
 * technical information,know-how, show-how, bug-fixes, or support.  Atmel reserves the right to make changes to the
 * Software without further notice.
 *
 * 5.Notice and Protection.Customer shall not remove or destroy any trademark, copyright markings, legends or notices
 * placed upon or contained
 * within the Software or any related documentation.
 *
 * 6.Export.Customer acknowledges that the certain laws and regulations may restrict the export and re-export of the
 * Software.
 * Customer will not export or re-export any Software (including the diskettes, related documentation and/or any
 * hardware peripherals) in any
 * form without the appropriate United States and foreign governmental approval.
 *
 * 7.Termination.The license will automatically terminate if Customer fails to comply with any of the terms and
 * conditions of the license.
 * Upon termination for any reason, Customer will immediately destroy or return to Atmel the Software, including all
 * documentation and all
 * whole or partial copies of the Software.
 *
 * 8.LIMITATION OF LIABILITY.IN NO EVENT SHALL ATMEL BE LIABLE TO CUSTOMER OR ANY THIRD PARTY FOR ANY CONSEQUENTIAL,
 * SPECIAL, INDIRECT OR
 * INCIDENTAL DAMAGES ARISING OUT OF OR RELATING TO THE SOFTWARE OR ANY OTHER ASPECT OF THIS AGREEMENT, EVEN IF ATMEL
 * HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES. IN NO EVENT SHALL THE LIABILITY OF ATMEL ARISING OUT OF OR RELATING TO THIS AGREEMENT
 * EXCEED THE GREATER OF
 * ONE THOUSAND U.S. DOLLARS (US$1,000) OR THE PRICE PAID BY COMPANY TO ATMEL FOR THE SOFTWARE.
 *
 * 9.General.  Customer will indemnify, defend and otherwise hold Atmel harmless against any third party claims, losses,
 * damages, liability or
 * expenses(including attorneys' and other professionals' fees) incurred by Atmel arising out of or relating to
 * Customer's use of the Software.
 * This Agreement and all transactions concluded hereunder shall be governed by the laws of the State of California, as
 * such laws are applied
 * to contracts entered into and performed entirely in California by California residents.  Any litigation relating to
 * this Agreement shall be
 * subject to the exclusive jurisdiction of the state courts located in Santa Clara County, California, or the federal
 * courts located in the
 * Northern District of California.If any provision of this Agreement is held to be invalid, illegal or unenforceable,
 * that provision shall be
 * construed in such a manner that it becomes valid and enforceable and so as to reflect most closely the intent of the
 * parties in agreeing
 * upon the provision in the first place, and the remaining provisions of this Agreement shall continue in full force
 * and effect and shall not
 * in any way be affected or impaired by any such determination of invalidity, illegality or unenforceability.
 *
 * THIS AGREEMENT IS THE ENTIRE AND EXCLUSIVE AGREEMENT BETWEEN ATMEL AND CUSTOMER AND SUPERSEDES ALL PRIOR ORAL AND
 * WRITTEN AGREEMENTS AND
 * COMMUNICATIONS BETWEEN THE PARTIES PERTAINING TO THE SUBJECT MATTER OF THIS AGREEMENT.  NO DIFFERENT OR ADDITIONAL
 * TERMS WILL BE ENFORCEABLE
 * AGAINST ATMEL UNLESS ATMEL GIVES ITS EXPRESS WRITTEN CONSENT, INCLUDING AN EXPRESS WAIVER OF THE TERMS OF THIS
 * AGREEMENT.
 *
 *
 * Atmel Corporation and its subsidiaries
 * 2325 Orchard Parkway
 * San Jose, CA 95131
 * http://www.atmel.com
 */
